# zcTokens

### Overview

Zero-coupon tokens, ***zcTokens***, are ERC-20's which are redeemable 1:1 at maturity for an underlying token.&#x20;

As users lock-in fixed yields, their deposit is split into zcTokens and nTokens and the the nTokens minted are sold to fuel a fixed-yield.&#x20;

This leaves the lender with an immediate fixed-yield and their minted zcTokens.

**Fixed-Yield Lending:**

**Alice has 1000 USDC.**\
**Alice fills Bob's order, splitting 1000 USDC into 1000 zcUSDC and 1000 nUSDC.**\
**Alice sells 1000 nUSDC to Bob for 50 USDC.**\
**Alice then has 1000 zcUSDC. At maturity Alice redeems her 1000zcUSDC for 1000 USDC.**\
**This leaves Alice with 1050 USDC.**

![Lending 1000 USDC at 5% for 1 Year](/files/-McMBa9H_9LjbQBOA7Gv)

### Pricing

Given zcTokens represent a 1-1 redemption only upon maturity, they are discounted at a rate based on the predicted amount of interest that may have otherwise been generated until the maturity/redemption date (the nToken price).

Accepting that this potential yield decreases as time passes, ZcTokens appreciate towards par and reach par as maturity is reached.

Further, because an nToken represents the predicted future yield, the discount on a zcToken is inversely proportional to the cost of an nToken.

At maturity, zcTokens begin to appreciate above par, accruing the yield generated on a given money-market (e.g. Compound) until redeemed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.swivel.finance/swivel-v3.0.0/litepaper/zero-coupon-tokens.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
